fuzzydl

## Class Relation

- java.lang.Object
- - fuzzydl.Relation

-     public class Relation
      extends java.lang.Object

  Represents a role assertion of the form (object individual, role, lower bound for the degree) with respect to a subject individual.
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Relation(java.lang.String roleName, Individual ind1, Individual ind2, Degree degree)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Relation` | `clone(java.lang.String role, Degree degree)` Gets a relation (role, lower bound for the degree) for the subject individual.
    `Degree` | `getDegree()` Returns the lower bound for the degree.
    `java.lang.String` | `getNameWithoutDegree()` Gets a printable name of the role assertion without the lower bound.
    `Individual` | `getObjectIndividual()` Gets the object individual.
    `java.lang.String` | `getRoleName()` Gets the role name.
    `Individual` | `getSubjectIndividual()` Gets the subject individual.
    `void` | `setObjectIndividual(Individual ind)` Sets the object individual.
    `void` | `setSubjectIndividual(Individual ind)` Sets the subject individual.
    `java.lang.String` | `toString()` Gets the name of the relation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Relation

          public Relation(java.lang.String roleName,
                          Individual ind1,
                          Individual ind2,
                          Degree degree)

  - ### Method Detail

    - #### getSubjectIndividual

          public Individual getSubjectIndividual()

      Gets the subject individual.
      Returns:
        Subject individual.

    - #### getObjectIndividual

          public Individual getObjectIndividual()

      Gets the object individual.
      Returns:
        Object individual.

    - #### setObjectIndividual

          public void setObjectIndividual(Individual ind)

      Sets the object individual.
      Parameters:
        `ind` - Object individual.

    - #### setSubjectIndividual

          public void setSubjectIndividual(Individual ind)

      Sets the subject individual.
      Parameters:
        `ind` - Subject individual.

    - #### getRoleName

          public java.lang.String getRoleName()

      Gets the role name.
      Returns:
        Role name.

    - #### getDegree

          public Degree getDegree()

      Returns the lower bound for the degree.
      Returns:
        Lower bound for the degree.

    - #### getNameWithoutDegree

          public java.lang.String getNameWithoutDegree()

      Gets a printable name of the role assertion without the lower bound.
      Returns:
        Name of the role assertion without the lower bound.

    - #### toString

          public java.lang.String toString()

      Gets the name of the relation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Name of the relation.

    - #### clone

          public Relation clone(java.lang.String role,
                                Degree degree)

      Gets a relation (role, lower bound for the degree) for the subject individual.
      Parameters:
        `role` - An abstract role.
        `degree` - A lower bound for the degree.
      Returns:
        A new relation (subject individual, role, lower bound for the degree).